# kcmap.h File Reference

data mapping structures More...

`#include <kccommon.h>`
`#include <kcutil.h>`

## Classes

class | kyotocabinet::LinkedHashMap< KEY, VALUE, HASH, EQUALTO >
| Double linked hash map. More...
class | kyotocabinet::LinkedHashMap< KEY, VALUE, HASH, EQUALTO >::Iterator
| Iterator of records. More...
struct | kyotocabinet::LinkedHashMap< KEY, VALUE, HASH, EQUALTO >::Record
| Record data.

## Namespaces

namespace | kyotocabinet

| All symbols of Kyoto Cabinet.

## Detailed Description

data mapping structures